> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agipower.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Response



## OpenAPI

````yaml /openapi.json post /openrouter/v1/responses
openapi: 3.1.0
info:
  title: AGIPower API
  version: 1.0.0
  description: >-
    Interactive API reference for AGIPower-compatible OpenAI, Anthropic, Google
    Vertex AI, and management endpoints.
servers:
  - url: https://api.agipower.ai
security:
  - bearerAuth: []
paths:
  /openrouter/v1/responses:
    post:
      tags:
        - OpenRouter Compatible API
      summary: Create a Response
      operationId: createOpenRouterResponse
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponsesRequest'
      responses:
        '200':
          description: OpenRouter-compatible response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  schemas:
    ResponsesRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          example: openai/gpt-5
        input:
          type: string
          example: Write a short API test.
        stream:
          type: boolean
          default: false
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````